#!/bin/sh
##-----------------------------------------------------------------------------
## /usr/local/bin/uptime.sh - fli4l
## - Make uptime readable for Output
##
##        P L E A S E   R E A D   T H E   D O C U M E N T A T I O N ,
##                      S E E   R E A D M E . T X T
##
##        B I T T E  U N B E D I N G T   D I E   D O K U M E N T A T I O N
##              L E S E N ,  S I E H E   R E A D M E . T X T
##
## Creation:     2014-10-11 hb
## Last Update:  2014-11-01 hb
##
## Internel version 0.1.2
##
## Copyright (c) 2014 Helmut Backhaus <helmut.backhaus@gmx.de>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##-----------------------------------------------------------------------------

# Create needed Variables

f0uptime=$(cat /proc/uptime) #Upime aus der Datei "uptime"
f1uptime=${f0uptime%%.*} # Den ersten wert zu einer nicht Komma Zahl machen
f0date=$(date +%s) # Datum in Sekunden seit 1.1.1970
f2uptime=$((f0date-$f1uptime)) # Zeitpunkt des startens, differenz "aktuelle Zeit - Startzeit" in Sekunden 
days=$(( $f1uptime/60/60/24 )) # Errechnen der vergangenen Tage aus Sekunden
hours=$(( $f1uptime/60/60%24 )) # Errechnen der vergangenen Stunden aus Sekunden
minutes=$(( $f1uptime/60%60 )) # Errechnen der vergangenen Minuten aus Sekunden

# Create wanted output
case "$1" in
   -d|-D|date|Date)
       echo "`date -d @$f2uptime +%Y_%m_%d_%u_%H:%M`" # Ausgabe des errechneten Zeitpunktes im Lokalen Zeitformat
   ;;                                  # Ob FLI4L das versteht? Ich bin nicht sicher!
   -t|-T|time|Time)
      echo "$days $hours $minutes" # Ausgabe des errechneten Datums in vergangenen Tagen, Stunden und Minuten
   ;;
   *)
      echo "Standard output"
      echo `date -d @$f2uptime` # Ausgabe des errechneten Datums in Standardformat als Default,
                                # wenn kein Schalter gesetzt.
   ;;
esac
